#include <bits/stdc++.h>

using namespace std;

string mat[10][10];

int main()
{
    int n,m;
    
    cin >> n;
    cin >> m;
    
    for(int i=0; i<n; i++)
    {
        for(int j=0; j<n; j++)
        {
            cin >> mat[i][j]; 
        }
    }
    
    for(int i=0; i<n; i++)
    {
        if(i%n==0)
        {
            mat[i][1]='C';
        }
        else
        {
            mat[i][m]='C';
        }
    }
    
    for(int i=0; i<n; i++)
    {
        for(int j=0; j<n; j++)
        {
            cout << mat[i][j];
        }
        cout << endl;
    }
}